%define oname ndoc

Name: mono-%oname
Version: 1.3.1
Release: alt1
Summary: Code Documentation Generator for .NET
Url: http://ndoc.sourceforge.net/
License: GPLv2+
Group: Development/Other
Source: http://download.sourceforge.net/sourceforge/%oname/%oname-devel-v%version.zip
Source1: %oname.pc
Patch: %name-1.3.1-nowarn.patch
Conflicts: nant <= 0.86-alt4.cvs.20080818

# Automatically added by buildreq on Tue Nov 04 2008
BuildRequires: libgcc mono-data-oracle mono-jscript mono-tools unzip xsp

BuildRequires: /proc
BuildPreReq: rpm-build-mono 
BuildRequires: mono-devel nant mono-nunit


%description
NDoc generates class library documentation from .NET assemblies and the XML
documentation files generated by the C# compiler. NDoc uses pluggable
documenters to generate documentation in several different formats, including
the MSDN-style HTML Help format (.chm), the Visual Studio .NET Help format
(HTML Help 2), and MSDN-online style web pages.


%prep
%setup -q -c -n %name-%version
%patch -p1
%__sed -i 's/\r//' COPYING.txt
%__sed -i 's/\r//' README.txt

%build
# create a Strong Name key to allow build to run
#sn -k NDoc.snk
nant -t:mono-1.0
# This one gets far enough, before throwing an odd windows error.
nant -t:mono-1.0 sdkdoc ||:

%install
mkdir -p %buildroot%_pkgconfigdir
cp -p %SOURCE1 %buildroot%_pkgconfigdir/
mkdir -p %buildroot%_monogacdir
gacutil -i bin/mono/1.0/NDoc.Core.dll -f -package ndoc -root %buildroot/usr/lib
gacutil -i bin/mono/1.0/NDoc.Documenter.JavaDoc.dll -f -package ndoc -root %buildroot/usr/lib
gacutil -i bin/mono/1.0/NDoc.Documenter.Latex.dll -f -package ndoc -root %buildroot/usr/lib
gacutil -i bin/mono/1.0/NDoc.Documenter.LinearHtml.dll -f -package ndoc -root %buildroot/usr/lib
gacutil -i bin/mono/1.0/NDoc.Documenter.Msdn2.dll -f -package ndoc -root %buildroot/usr/lib
gacutil -i bin/mono/1.0/NDoc.Documenter.Msdn.dll -f -package ndoc -root %buildroot/usr/lib
gacutil -i bin/mono/1.0/NDoc.Documenter.Xml.dll -f -package ndoc -root %buildroot/usr/lib
gacutil -i bin/mono/1.0/NDoc.ExtendedUI.dll -f -package ndoc -root %buildroot/usr/lib
gacutil -i bin/mono/1.0/NDoc.Test.dll -f -package ndoc -root %buildroot/usr/lib
gacutil -i bin/mono/1.0/NDoc.VisualStudio.dll -f -package ndoc -root %buildroot/usr/lib
gacutil -i bin/mono/1.0/NDocConsole.exe -f -package ndoc -root %buildroot/usr/lib

# Cleanup docs
%__sed -i 's/\r//' doc/sdk/ndoc.log
%__sed -i 's/\r//' doc/sdk/ndoc.js
%__sed -i 's/\r//' doc/sdk/ndoc.css
%__sed -i 's/\r//' doc/sdk/tree.css
%__sed -i 's/\r//' doc/sdk/MSDN.css
%__sed -i 's/\r//' doc/sdk/tree.js
iconv -f iso-8859-1 -t utf-8 -o doc/sdk/tree.js{.utf8,}
mv doc/sdk/tree.js{.utf8,}

# Sometimes this temp dir sticks around. We don't want it.
rm -rf doc/sdk/ndoc_msdn_temp

%files
%doc COPYING.txt README.txt
%doc doc/sdk/
%_monogacdir/NDoc*/
%_monodir/%oname
%_pkgconfigdir/%oname.pc

%changelog
* Tue Nov 04 2008 Alexey Shabalin <shaba@altlinux.ru> 1.3.1-alt1
- initial package for ALTLinux (based on Fedora spec)

